/*
* i2c bus unix socket and client in one for demo
*
*/

import Base from  '../../uci-base/src/base'

const PATH = '/opt/sockets/mcp.sock'

const delay = time => new Promise(res=>setTimeout(()=>res(),time))
;
(async () => {

  let mcpclient = new Base({id:'mcpclient', sockets:'uc#c>n', uc:{path:PATH}})

  await mcpclient.init()
  console.log('=============sending============')
  let packet = {cmd:'pin.test'}
  console.dir(packet)
  await mcpclient.send(packet)

  await delay(3000)
  process.kill(process.pid, 'SIGTERM')


})().catch(err => {
  console.error('FATAL: UNABLE TO START SYSTEM!\n',err)
})
